%define debug_package %{nil}
%define	git_commit 0e1e8e4
Name:           kf5-kde-baseapps
Version:        4.97.0~%{git_commit}
Release:        3
Summary:        The Base KDE Apps
License:        GPLv2+
Group:          System/GUI/KDE
Url:            http://www.kde.org/
Source:         kde-baseapps-%{git_commit}.tar.bz2
#Source1:        kf5-dolphinsu.desktop
Patch0:         kf5-dolphin-go_up.patch
Patch1:			kf5-keditbookmarks-soversion.patch
Patch2:			kf5-konqueror-soversion.patch
BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-kded-devel
BuildRequires:  kf5-baloo-devel
BuildRequires:  kf5-baloo-widgets-devel
BuildRequires:  kf5-kactivities-devel
BuildRequires:  kf5-karchive-devel
BuildRequires:  kf5-kbookmarks-devel
BuildRequires:  kf5-kcmutils-devel
BuildRequires:  kf5-kconfig-devel
BuildRequires:  kf5-kconfigwidgets-devel
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-kdbusaddons-devel
BuildRequires:  kf5-kdelibs4support-devel
BuildRequires:  kf5-kdesu-devel
BuildRequires:  kf5-filesystem
BuildRequires:  kf5-kfilemetadata-devel
BuildRequires:  kf5-khtml-devel
BuildRequires:  kf5-kio-devel
BuildRequires:  kf5-knewstuff-devel
BuildRequires:  kf5-kparts-devel
BuildRequires:  phonon-qt5-devel
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(Qt5Concurrent) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Core) >= 5.2.0
BuildRequires:  pkgconfig(Qt5DBus) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Gui) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2.0
BuildRequires:  pkgconfig(Qt5X11Extras) >= 5.2.0
BuildRequires:  pkgconfig(zlib)
#Recommends:     kio_mtp5
Requires:       kf5-libkonq = %{version}
Requires:       kf5-dolphin = %{version}
Requires:       kf5-kdepasswd = %{version}
Requires:       kf5-kdialog = %{version}
Requires:       kf5-kfind = %{version}
Requires:		kf5-kded
Requires:       libKF5Konq6 = %{version}
#BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the basic applications for a KDE workspace.

%package -n libKF5Konq6
Summary:        KDE Konqueror Libraries
Group:          System/GUI/KDE

%description -n libKF5Konq6
This package contains the libraries used by file managers as Konqueror.

%package -n kf5-libkonq
Summary:        KDE Konqueror Libraries
Group:          System/GUI/KDE
Requires:       libKF5Konq6 = %{version}

%description -n kf5-libkonq
This package contains the libraries used by file managers as Konqueror.

%package -n kf5-dolphin-part
Summary:        KDE File Manager
Group:          Productivity/File utilities
Requires:       kf5-libkonq = %{version}
Conflicts:      dolphin

%description -n kf5-dolphin-part
This package contains the libraries used by Dolphin and Konqueror.

%package -n kf5-dolphin
Summary:        KDE File Manager
Group:          Productivity/File utilities
Requires:       kf5-dolphin-part = %{version}
#Recommends:     kf5-konsole-part
Conflicts:      dolphin

%description -n kf5-dolphin
This package contains the default file manager of KDE Workspaces.

%package -n kf5-kdepasswd
Summary:        KDE Password Changer
Group:          System/GUI/KDE
Conflicts:      kdepasswd

%description -n kf5-kdepasswd
This application allows you to change your UNIX password.

%package -n kf5-kdialog
Summary:        KDE version of xdialog
Group:          System/GUI/KDE
Conflicts:      kdialog

%description -n kf5-kdialog
KDialog can be used to show nice dialog boxes from shell scripts.

%package -n kf5-kfind
Summary:        KDE Find File Utility
Group:          Productivity/File utilities
Conflicts:      kfind

%description -n kf5-kfind
KFind allows you to search for directories and files.

%package -n kf5-konqueror
Summary:        KDE Konqueror file manager
Group:          Productivity/File utilities
Conflicts:      keditbookmarks

%description -n kf5-konqueror
KEditbookmarks allows managing and editing bookmarks

%package devel
Summary:        KDE Base Libraries
Group:          System/GUI/KDE
Requires:       kf5-libkonq = %{version}
Requires:       kf5-kdialog = %{version}
Requires:       libKF5Konq6 = %{version}
Conflicts:      kdebase4-devel
# FIXME 4.x variants of DBus interfaces need to go to devel package
Conflicts:      kdebase4-libkonq
Conflicts:      kdialog
Conflicts:      libkonq-devel

%description devel
Konsole is a terminal emulator for the K Desktop Environment.

%prep
%setup -q -n kde-baseapps
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#sed -i 's|KF5 CONFIG REQUIRED|KF5 REQUIRED COMPONENTS|g' CMakeLists.txt
#sed -i 's|KF5 CONFIG REQUIRED|KF5 REQUIRED COMPONENTS|g' konqueror/about/CMakeLists.txt
#sed -i 's|KF5 CONFIG REQUIRED|KF5 REQUIRED COMPONENTS|g' konqueror/CMakeLists.txt

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd
make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast  DESTDIR=%{buildroot} -C %{_target_platform}
#install -D -m 0644 %{SOURCE1} %{buildroot}%{_kf5_datadir}/applications
#rm -rfv %{buildroot}%{_kf5_libdir}/libdolphinprivate.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n libKF5Konq6 -p /sbin/ldconfig

%postun -n libKF5Konq6 -p /sbin/ldconfig

%post -n kf5-dolphin -p /sbin/ldconfig

%postun -n kf5-dolphin -p /sbin/ldconfig

%files -n libKF5Konq6
%defattr(-,root,root)
%{_kf5_libdir}/libKF5Konq.so.*

%files -n kf5-libkonq
%defattr(-,root,root)
%doc COPYING* README
%{_sysconfdir}/xdg/autostart/konqy_preload.desktop
%{_kf5_datadir}/kservicetypes5/konqpopupmenuplugin.desktop
%{_kf5_datadir}/kservicetypes5/konqdndpopupmenuplugin.desktop
%dir %{_kf5_datadir}/kf5/konqueror
%dir %{_kf5_datadir}/kf5/konqueror/pics/
%{_kf5_datadir}/kf5/konqueror/pics/arrow*.png
%{_kf5_qtplugindir}/kded_favicons.so
%{_kf5_datadir}/kservices5/kded/favicons.desktop
%{_kf5_datadir}/templates/
%{_kf5_qtplugindir}/kio_about.so
%{_kf5_datadir}/kservices5/about.protocol

%files -n kf5-dolphin
%defattr(-,root,root)
%doc COPYING* README
%{_kf5_libdir}/libkdeinit5_dolphin.so
%{_kf5_bindir}/dolphin
%{_kf5_datadir}/applications/org.kde.dolphin.desktop
%{_kf5_datadir}/applications/kf5-dolphinsu.desktop
%dir %{_kf5_datadir}/kxmlgui5
%dir %{_kf5_datadir}/kxmlgui5/dolphin
%{_kf5_datadir}/kxmlgui5/dolphin/dolphinui.rc
%dir %{_kf5_datadir}/appdata
%{_kf5_datadir}/appdata/dolphin.appdata.xml
%{_kf5_bindir}/servicemenuinstallation
%{_kf5_bindir}/servicemenudeinstallation
%doc %{_kf5_docdir}/HTML/en/dolphin/

%files -n kf5-dolphin-part
%defattr(-,root,root)
%doc COPYING* README
%{_kf5_libdir}/libdolphinprivate.so*
%{_kf5_qtplugindir}/dolphinpart.so
%{_kf5_datadir}/kservices5/dolphinpart.desktop
%{_kf5_datadir}/kservicetypes5/fileviewversioncontrolplugin.desktop
%{_kf5_qtplugindir}/kcm_dolphin*.so
#%{_kf5_qtplugindir}/kio_filenamesearch.so
%{_kf5_datadir}/config.kcfg/dolphin_*.kcfg
#%{_kf5_datadir}/kservices5/filenamesearch.protocol
%{_kf5_datadir}/kservices5/kcmdolphinviewmodes.desktop
%{_kf5_datadir}/kservices5/kcmdolphinnavigation.desktop
%{_kf5_datadir}/kservices5/kcmdolphinservices.desktop
%{_kf5_datadir}/kservices5/kcmdolphingeneral.desktop
%config %{_kf5_sysconfdir}/xdg/servicemenu.knsrc

%files -n kf5-kdepasswd
%defattr(-,root,root)
%doc COPYING* README
%{_kf5_bindir}/kdepasswd
%{_kf5_datadir}/applications/org.kde.kdepasswd.desktop
%doc %{_kf5_docdir}/HTML/en/kdepasswd/

%files -n kf5-kdialog
%defattr(-,root,root)
%doc COPYING* README
%{_kf5_bindir}/kdialog

%files -n kf5-kfind
%doc COPYING* README
%defattr(-,root,root)
%{_kf5_bindir}/kfind
%{_kf5_datadir}/applications/org.kde.kfind.desktop
%{_kf5_datadir}/appdata/kfind.appdata.xml
%{_kf5_datadir}/icons/hicolor/*/apps/kfind.*
%doc %{_kf5_docdir}/HTML/en/kfind/
%doc %{_kf5_mandir}/man1/kfind.*

%files -n kf5-konqueror
%doc %{_kf5_datadir}/doc/HTML/en/konqueror/
%doc COPYING* README
%defattr(-,root,root)
%{_kf5_bindir}/konqueror
%{_kf5_bindir}/kbookmarkmerger
%{_kf5_bindir}/keditbookmarks
%{_kf5_bindir}/fsview
%{_kf5_bindir}/kfmclient
%{_kf5_libdir}/libkdeinit5_konqueror.so
%{_kf5_libdir}/libkdeinit5_keditbookmarks.so
%{_kf5_libdir}/libkdeinit5_kfmclient.so
%{_kf5_libdir}/libkbookmarkmodel_private.so
%{_kf5_libdir}/libkbookmarkmodel_private.so.*
%{_kf5_libdir}/libkonquerorprivate.so.*
%{_kf5_qtplugindir}/konq_aboutpage.so
%{_kf5_qtplugindir}/fsviewpart.so
%{_kf5_qtplugindir}/kcm_bookmarks.so
%{_kf5_qtplugindir}/kcm_konq.so
%{_kf5_qtplugindir}/kcm_performance.so
%{_kf5_qtplugindir}/kded_konqy_preloader.so
%{_kf5_qtplugindir}/webarchiverplugin.so
%{_kf5_qtplugindir}/webarchivethumbnail.so
%{_kf5_datadir}/appdata/konqueror.appdata.xml
%{_kf5_datadir}/config.kcfg/keditbookmarks.kcfg
%{_kf5_datadir}/config.kcfg/konqueror.kcfg
%{_kf5_datadir}/dbus-1/interfaces/org.kde.konqueror.Preloader.xml
%dir %{_kf5_datadir}/fsview/
%dir %{_kf5_datadir}/khtml/
%dir %{_kf5_datadir}/khtml/kpartplugins/
%dir %{_kf5_datadir}/kxmlgui5/keditbookmarks/
#%dir %{_kf5_datadir}/kf5/kbookmark
%dir %{_kf5_datadir}/kxmlgui5/konqueror/
#%dir %{_kf5_datadir}/konqueror/about
#%dir %{_kf5_datadir}/konqueror/pics
#%dir %{_kf5_datadir}/konqueror/profiles
%{_kf5_datadir}/kxmlgui5/keditbookmarks/keditbookmarks*.rc
%{_kf5_datadir}/kxmlgui5/konqueror/konqueror.rc
%{_kf5_datadir}/kxmlgui5/dolphinpart/dolphinpart.rc
%{_kf5_datadir}/applications/org.kde.keditbookmarks.desktop
%{_kf5_datadir}/applications/kfmclient*.desktop
%{_kf5_datadir}/applications/Home.desktop
%{_kf5_datadir}/applications/konq*.desktop
%{_kf5_datadir}/kf5/kbookmark/directory_bookmarkbar.desktop
%{_kf5_datadir}/fsview/fsview_part.rc
%{_kf5_datadir}/konqueror/about/*
%{_kf5_datadir}/konqueror/pics/*
%{_kf5_datadir}/konqueror/profiles/*
%{_kf5_datadir}/kservices5/*.desktop
%{_kf5_datadir}/kservices5/kded/*.desktop
%{_kf5_datadir}/kservicetypes5/konqaboutpage.desktop
%{_kf5_datadir}/icons/hicolor/*/*/*
%{_kf5_datadir}/kcontrol/pics/*.png
%{_kf5_datadir}/khtml/kpartplugins/plugin_webarchiver.*
%{_mandir}/man1/kbookmarkmerger.1.gz

%files devel
%defattr(-,root,root)
%doc COPYING* README
%{_kf5_includedir}/konq_*.h
%{_kf5_includedir}/kversioncontrolplugin*.h
%{_kf5_includedir}/libkonq_export.h
%{_kf5_libdir}/cmake/KF5Konq/
%{_kf5_libdir}/libKF5Konq.so
%{_kf5_datadir}/dbus-1/interfaces/org.kde.kdialog.ProgressDialog.xml
%{_kf5_datadir}/dbus-1/interfaces/org.kde.FavIcon.xml
%{_kf5_datadir}/dbus-1/interfaces/org.kde.Konqueror.Main.xml
%{_kf5_datadir}/dbus-1/interfaces/org.kde.Konqueror.MainWindow.xml

%files
%defattr(-,root,root)
%doc COPYING* README

%changelog
* Tue Jan 20 2015 Rajeesh K V <rajeesh@inflo.ws> 4.97.0~0e1e8e4-3
- Update 2015.01.20

* Thu Oct 16 2014 Rajeesh K V <rajeesh@inflo.ws> 4.97.0~0a110d9-2
- Initial KF5 build
